package com.leanwo.activiti.dto.manage;

import java.util.Date;

/**
 * 单据单据流程实例信息
 * @author YangZhiJie
 *
 */
public class ProcessInstanceDocInfo {

	/** 流程实例Id */
	private String processInstanceId;
	
	/** 单据号 */
	private String documentNo;
	
	/** 单据标题 */
	private String title;
	
	/** 审批摘要 */
	private String content;

	/** 单据状态 */
	private ProcessInstanceStatus status;

	/** 流程启动时间 */
	private Date startTime;

	/** 流程结束时间 */
	private Date endTime;

	public String getProcessInstanceId() {
		return processInstanceId;
	}

	public void setProcessInstanceId(String processInstanceId) {
		this.processInstanceId = processInstanceId;
	}

	public String getDocumentNo() {
		return documentNo;
	}

	public void setDocumentNo(String documentNo) {
		this.documentNo = documentNo;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public ProcessInstanceStatus getStatus() {
		return status;
	}

	public void setStatus(ProcessInstanceStatus status) {
		this.status = status;
	}

	public Date getStartTime() {
		return startTime;
	}

	public void setStartTime(Date startTime) {
		this.startTime = startTime;
	}

	public Date getEndTime() {
		return endTime;
	}

	public void setEndTime(Date endTime) {
		this.endTime = endTime;
	}
}
